# Uses of Class
org.eclipse.jdt.core.dom.StringFragment

Packages that use StringFragment
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of StringFragment in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return StringFragment
Modifier and Type
Method
Description
`StringFragment`
StringTemplateExpression.`getFirstFragment()`
`StringFragment`
StringTemplateComponent.`getStringFragment()`
`StringFragment`
AST.`newStringFragment()`
Creates and returns a new unparented string fragment node for the empty string fragment.
Methods in org.eclipse.jdt.core.dom with parameters of type StringFragment
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(StringFragment node)`
`boolean`
ASTMatcher.`match(StringFragment node, Object other)`
Returns whether the given node and the other object match.
`void`
StringTemplateExpression.`setFirstFragment(StringFragment firstFragment)`
`void`
StringTemplateComponent.`setStringFragment(StringFragment fragment)`
`boolean`
ASTVisitor.`visit(StringFragment node)`
Visits the given type-specific AST node.